package com.github.jjobes.slidedaytimepicker;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

import com.github.jjobes.slidedaytimepicker.SlideDayTimeListener;
import com.github.jjobes.slidedaytimepicker.SlideDayTimePicker;

import android.graphics.Color;

import slidedaytimepickerwrapper.slidedaytimepickerWrapper;

/**
 * Sample test class for SlideDayTimePicker.
 *
 * @author jjobes
 *
 */
public class MainActivity extends FragmentActivity
{
    private Button mButton;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

        //setContentView(R.layout.activity_sample);

        //mButton = (Button) findViewById(R.id.button);

        final SlideDayTimeListener listener = new SlideDayTimeListener() {

            @Override
            public void onDayTimeSet(int day, int hour, int minute)
            {
				
			    if (slidedaytimepickerWrapper.showtoastmessage == true) {
					Toast.makeText(

							MainActivity.this,
							"day = " + day + "\nhour = " + hour + "\nminute = " + minute,
							Toast.LENGTH_LONG).show();
				}	
				
				if (slidedaytimepickerWrapper.ba.subExists(slidedaytimepickerWrapper.eventName + "_selected_day_time")) {
				  slidedaytimepickerWrapper.ba.raiseEventFromDifferentThread(this, null, 0, slidedaytimepickerWrapper.eventName + "_selected_day_time", true, new Object[] {day, hour, minute});
				}								
						
				finish();		
            }

            @Override
            public void onDayTimeCancel() {
			    if (slidedaytimepickerWrapper.showtoastmessage == true) {	
						Toast.makeText(MainActivity.this, "Canceled", Toast.LENGTH_SHORT).show();
				}		
				
				if (slidedaytimepickerWrapper.ba.subExists(slidedaytimepickerWrapper.eventName + "_selection_cancelled")) {
				  slidedaytimepickerWrapper.ba.raiseEventFromDifferentThread(this, null, 0, slidedaytimepickerWrapper.eventName + "_selection_cancelled", true, new Object[0]);
				}	
				
				finish();
            }
        };

        //mButton.setOnClickListener(new OnClickListener() {

        //    @Override
        //    public void onClick(View v) {
                new SlideDayTimePicker.Builder(getSupportFragmentManager())
                    .setListener(listener)
                    .setInitialDay(slidedaytimepickerWrapper.initialday)
                    .setInitialHour(slidedaytimepickerWrapper.initialhour)
                    .setInitialMinute(slidedaytimepickerWrapper.initialminute)
                    .setIs24HourTime(slidedaytimepickerWrapper.tfhf)
                    //.setCustomDaysArray(getResources().getStringArray(R.array.days_of_week))
                    //.setTheme(SlideDayTimePicker.HOLO_DARK)
                    .setIndicatorColor(slidedaytimepickerWrapper.indicatorcolor)
                    .build()
                    .show();
            //}
        //});
    }
}




