/*
 * Copyright (C) The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package slidedaytimepickerwrapper;

import anywheresoftware.b4a.AbsObjectWrapper;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Events;
import anywheresoftware.b4a.IOnActivityResult;
import anywheresoftware.b4a.BA.Permissions;

import android.content.Intent;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.TextView;
import android.graphics.Color;

import com.github.jjobes.slidedaytimepicker.MainActivity;

@ActivityObject
@ShortName("SlideDayTimePicker")
@Events(values={"selected_day_time(day As Int, hour As Int, minute As Int)", "selection_cancelled"})
@Author("Github: Jason D. Jobes, Wrapped by: Johan Schoeman")
@Version(1.00f)
@DependsOn(values={"android-support-v4"})
//@Permissions(values={"android.permission.CAMERA"})
//"com.android.support:design", "google-play-services", "android-support-design",
public class slidedaytimepickerWrapper extends AbsObjectWrapper<MainActivity> {

	
	@Hide
	public static BA ba;
	@Hide
	public static String eventName;
	private static MainActivity cv;
	private IOnActivityResult ion;
	
	
	//public static String OCRInfoMessage = "Tap to capture. Pinch/Stretch to zoom";
	
	Intent izx;
	
	public void Initialize(BA paramBA, String paramString) {
	    eventName = paramString.toLowerCase(BA.cul);
	    ba = paramBA;

	    MainActivity cv = new MainActivity();
	    String str = paramString.toLowerCase(BA.cul);
	
	    setObject(cv);
		izx = new Intent(BA.applicationContext, MainActivity.class);	
	}	


     public void StartPicker() {
		ion = new IOnActivityResult() {
			
			@Override
			public void ResultArrived(int arg0, Intent data) {
				
			}
		};
		ba.startActivityForResult(ion, izx);
	}
	

	@Hide
	public static int indicatorcolor = 0xffff0000;
	public void setIndicatorColor(int indicatorcolor) {
		this.indicatorcolor = indicatorcolor;
	}
	
	@Hide
	public static boolean tfhf = true;
	public void setHourFormat24(boolean tfhf) {
		this.tfhf = tfhf;
	}	
	
	@Hide
	public static int initialday = 1;	
	public void setInitialDay(int initialday) {
		this.initialday = initialday;
	}
	
	@Hide
	public static int initialhour = 12;	
	public void setInitialHour(int initialhour) {
		this.initialhour = initialhour;
	}	
	
	@Hide
	public static int initialminute = 30;	
	public void setInitialMinute(int initialminute) {
		this.initialminute = initialminute;
	}	

	@Hide
	public static boolean showtoastmessage = true;
    public void setShowToastMessage(boolean showtoastmessage) {
		this.showtoastmessage = showtoastmessage;
	}	
 
}
